<?php
/*
Plugin Name: lsmooth's Next Page Posts
Plugin URI: http://lsmooth.de
Description: Create a navigation including a list of posts on the next/previous page
Version: 0.1
Author: Lutz Schildt, Thorsten Geisser
Author URI: http://lsmooth.de
License: GPL2
*/
/*  Copyright 2012  Lutz Schildt  (email : ls@lsmooth.de)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as 
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

if(!function_exists('add_action'))
{
	exit;
}

define('LSMOOTH_PP', 'true');

add_shortcode('lsmooth_page_posts', 'lsmooth_page_posts_func');

function lsmooth_page_posts($direction='next')
{
  global $wp_query, $pagenext;
  $options=get_option('lsmooth_pp_options');
  $max_posts_per_page=get_option('posts_per_page');
  $output="";
  if(!is_search() && !is_tag() && !is_category() && !is_day() && !is_month() && !is_year())
  {
    $page_count=$wp_query->max_num_pages;
    $page = (int)get_query_var('paged');
    if(!$page)
    	$page = 1;
    $pagenext = $page + 1;
    query_posts( array('paged' => $pagenext) );
    $output="<!-- Begin: lsmooth page posts -->\n<div class=\"lsmooth_pp_div\">\n<span class=\"lsmooth_pp_head\">So geht es auf der n&auml;chsten Seite weiter</span><ul>\n";
    $count=0;
    while(have_posts())
    {
      $count++;
      the_post();
      $output.='<li class="lsmooth_pp"><a href="'.get_permalink().'" rel="bookmark" title="'.the_title('','',false).' aufrufen">'.the_title('','',false).'</a></li>';
      $output.="\n";
    }
    if($options['display_empty']=='true')
    {
      while($count<$max_posts_per_page)
      {
        $count++;
        $output.='<li class="lsmooth_pp_empty"><a href="javascript:void(0);">&nbsp;</a></li>';
        $output.="\n";
      }
      wp_reset_query();
    }
    $output.="</ul>\n</div>\n<!-- End: lsmooth page posts -->\n";
  }
  return $output;
}

function lsmooth_page_posts_func($attributes)
{
	extract(shortcode_atts(array(
		'direction' => 'next'
	), $attributes));

	return lsmooth_page_posts($direction);
}

require_once('activation.php');
require_once('settings.php');
require_once('styles.php');
?>
